-- MySQL dump 10.9
--
-- Host: localhost    Database: toctoc_database
-- ------------------------------------------------------
-- Server version	4.1.11-Debian_4sarge2-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `idiomas`
--

DROP TABLE IF EXISTS `idiomas`;
CREATE TABLE `idiomas` (
  `id` char(3) NOT NULL default '' COMMENT 'La abreviatura del idioma.',
  `idioma` char(12) NOT NULL default '' COMMENT 'El nombre del idioma.',
  `bandera` char(50) NOT NULL default '' COMMENT 'El path al gráfico de bandera que tiene el idioma.',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Los idiomas a los que está traducida la página.';

--
-- Dumping data for table `idiomas`
--


/*!40000 ALTER TABLE `idiomas` DISABLE KEYS */;
LOCK TABLES `idiomas` WRITE;
INSERT INTO `idiomas` VALUES ('ENG','English','idiomas/banderas/ingles.gif'),('ESP','Español','idiomas/banderas/castellano.gif'),('VAL','Valenciano','idiomas/banderas/valenciano.gif');
UNLOCK TABLES;
/*!40000 ALTER TABLE `idiomas` ENABLE KEYS */;

--
-- Table structure for table `servidores_permitidos`
--

DROP TABLE IF EXISTS `servidores_permitidos`;
CREATE TABLE `servidores_permitidos` (
  `nombre` varchar(10) NOT NULL default '' COMMENT 'El nombre que saldrá en el menu.',
  `puerto` varchar(5) default NULL COMMENT 'El puerto que le permite salir a internet.',
  `direccion` varchar(50) NOT NULL default '' COMMENT 'La direccion del servidor.',
  `ip` varchar(17) NOT NULL default '127.0.0.1' COMMENT 'La ip del servidor',
  `dest_port` varchar(5) default '80' COMMENT 'El puerto del servidor destino',
  PRIMARY KEY  (`nombre`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Los servidores a los que se puede salir sin pagar.';

--
-- Dumping data for table `servidores_permitidos`
--


/*!40000 ALTER TABLE `servidores_permitidos` DISABLE KEYS */;
LOCK TABLES `servidores_permitidos` WRITE;
INSERT INTO `servidores_permitidos` VALUES ('GOOGLE','9400','http://www.google.es','72.14.207.104','80'),('UPV','','http://www.upv.es','158.42.4.23','80');
UNLOCK TABLES;
/*!40000 ALTER TABLE `servidores_permitidos` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

