-- MySQL dump 10.9
--
-- Host: localhost    Database: [--no-data]
-- ------------------------------------------------------
-- Server version	4.1.11-Debian_4sarge2-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
-- MySQL dump 10.9
--
-- Host: localhost    Database: toctoc_users
-- ------------------------------------------------------
-- Server version	4.1.11-Debian_4sarge2-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `color_dispositivo`
--

DROP TABLE IF EXISTS `color_dispositivo`;
CREATE TABLE `color_dispositivo` (
  `profundidad` varchar(25) NOT NULL default '' COMMENT 'La profundidad de color',
  `dispositivo` varchar(15) NOT NULL default '',
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `FK_color_dispositivo` (`dispositivo`),
  CONSTRAINT `FK_color_dispositivo` FOREIGN KEY (`dispositivo`) REFERENCES `dispositivos` (`tipo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='La profundidad de color que pueden alcanzar los dispositivos';

--
-- Table structure for table `dispositivos`
--

DROP TABLE IF EXISTS `dispositivos`;
CREATE TABLE `dispositivos` (
  `tipo` varchar(15) NOT NULL default 'Portatil' COMMENT 'Portatil WIFI, movil, PDA,...',
  PRIMARY KEY  (`tipo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Los distintos dispositivos que dan acceso al sistema';

--
-- Table structure for table `resolucion`
--

DROP TABLE IF EXISTS `resolucion`;
CREATE TABLE `resolucion` (
  `tipo` varchar(15) NOT NULL default '' COMMENT 'La resolucion',
  `dispositivo` varchar(15) NOT NULL default '' COMMENT 'El dispositivo asociado',
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `FK_resolucion_dispositivo` (`dispositivo`),
  CONSTRAINT `FK_resolucion_dispositivo` FOREIGN KEY (`dispositivo`) REFERENCES `dispositivos` (`tipo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Las distintas resoluciones de los dispositivos de acceso';

--
-- Table structure for table `usuarios`
--

DROP TABLE IF EXISTS `usuarios`;
CREATE TABLE `usuarios` (
  `nick` varchar(45) NOT NULL default '',
  `pwd` varchar(45) character set latin1 collate latin1_bin NOT NULL default '',
  `cityticket` int(10) unsigned NOT NULL default '1',
  `nombre` varchar(45) default NULL,
  `apellidos` varchar(45) default NULL,
  `pais` varchar(45) default NULL,
  `email` varchar(45) NOT NULL default '',
  `idioma` varchar(10) default 'Español',
  `tmp_pwd` varchar(45) default NULL COMMENT 'Este es el pwd que se genera automaticamente cuando se solicita recuperar un pwd perdido',
  `tiempo_tmp_pwd` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP COMMENT 'La fecha en que se genero el tmp_pwd para que caduque',
  `otros_gustos` text COMMENT 'Por si el usuario quiere decir algo mas...',
  `dispositivo` varchar(15) NOT NULL default 'Portatil' COMMENT 'Enlaza con la tabla dispositivos',
  `color` int(10) unsigned NOT NULL default '1' COMMENT 'Color del dispositivo',
  `resolucion` int(10) unsigned NOT NULL default '1' COMMENT 'Resolucion del dispositivo',
  `vel_conexion` int(11) NOT NULL default '0' COMMENT 'Velocidad de acceso a internet si tiene.',
  `vel_subida` int(11) NOT NULL default '0' COMMENT 'Velocidad de subida de datos a internet',
  `IP` varchar(15) NOT NULL default '' COMMENT 'La IP con la que esta conectado ahora.',
  `hora_conexion` timestamp NOT NULL default '0000-00-00 00:00:00' COMMENT 'La fecha en que se ha conectado la ultima vez.',
  `admin` int(1) NOT NULL default '0' COMMENT 'Indica si el usuario tiene propiedades de administrador.',
  `fecha_fin_conexion` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nick`),
  KEY `FK_usuarios_idiomas` (`idioma`),
  KEY `FK_usuarios_dispositivos` (`dispositivo`),
  KEY `FK_usuarios_color` (`color`),
  KEY `FK_usuarios_resolucion` (`resolucion`),
  CONSTRAINT `FK_usuarios_color` FOREIGN KEY (`color`) REFERENCES `color_dispositivo` (`id`),
  CONSTRAINT `FK_usuarios_dispositivos` FOREIGN KEY (`dispositivo`) REFERENCES `dispositivos` (`tipo`),
  CONSTRAINT `FK_usuarios_resolucion` FOREIGN KEY (`resolucion`) REFERENCES `resolucion` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Tabla que contiene los usuarios dados de alta en la base de ';

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- MySQL dump 10.9
--
-- Host: localhost    Database: toctoc_users
-- ------------------------------------------------------
-- Server version	4.1.11-Debian_4sarge2-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `color_dispositivo`
--

DROP TABLE IF EXISTS `color_dispositivo`;
CREATE TABLE `color_dispositivo` (
  `profundidad` varchar(25) NOT NULL default '' COMMENT 'La profundidad de color',
  `dispositivo` varchar(15) NOT NULL default '',
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `FK_color_dispositivo` (`dispositivo`),
  CONSTRAINT `FK_color_dispositivo` FOREIGN KEY (`dispositivo`) REFERENCES `dispositivos` (`tipo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='La profundidad de color que pueden alcanzar los dispositivos';

--
-- Dumping data for table `color_dispositivo`
--


/*!40000 ALTER TABLE `color_dispositivo` DISABLE KEYS */;
LOCK TABLES `color_dispositivo` WRITE;
INSERT INTO `color_dispositivo` VALUES ('16bits','Portatil',1);
UNLOCK TABLES;
/*!40000 ALTER TABLE `color_dispositivo` ENABLE KEYS */;

--
-- Table structure for table `dispositivos`
--

DROP TABLE IF EXISTS `dispositivos`;
CREATE TABLE `dispositivos` (
  `tipo` varchar(15) NOT NULL default 'Portatil' COMMENT 'Portatil WIFI, movil, PDA,...',
  PRIMARY KEY  (`tipo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Los distintos dispositivos que dan acceso al sistema';

--
-- Dumping data for table `dispositivos`
--


/*!40000 ALTER TABLE `dispositivos` DISABLE KEYS */;
LOCK TABLES `dispositivos` WRITE;
INSERT INTO `dispositivos` VALUES ('Portatil');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dispositivos` ENABLE KEYS */;

--
-- Table structure for table `resolucion`
--

DROP TABLE IF EXISTS `resolucion`;
CREATE TABLE `resolucion` (
  `tipo` varchar(15) NOT NULL default '' COMMENT 'La resolucion',
  `dispositivo` varchar(15) NOT NULL default '' COMMENT 'El dispositivo asociado',
  `id` int(10) unsigned NOT NULL auto_increment,
  PRIMARY KEY  (`id`),
  KEY `FK_resolucion_dispositivo` (`dispositivo`),
  CONSTRAINT `FK_resolucion_dispositivo` FOREIGN KEY (`dispositivo`) REFERENCES `dispositivos` (`tipo`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Las distintas resoluciones de los dispositivos de acceso';

--
-- Dumping data for table `resolucion`
--


/*!40000 ALTER TABLE `resolucion` DISABLE KEYS */;
LOCK TABLES `resolucion` WRITE;
INSERT INTO `resolucion` VALUES ('800 x 600','Portatil',1),('1024 x 768','Portatil',2);
UNLOCK TABLES;
/*!40000 ALTER TABLE `resolucion` ENABLE KEYS */;

--
-- Table structure for table `usuarios`
--

DROP TABLE IF EXISTS `usuarios`;
CREATE TABLE `usuarios` (
  `nick` varchar(45) NOT NULL default '',
  `pwd` varchar(45) character set latin1 collate latin1_bin NOT NULL default '',
  `cityticket` int(10) unsigned NOT NULL default '1',
  `nombre` varchar(45) default NULL,
  `apellidos` varchar(45) default NULL,
  `pais` varchar(45) default NULL,
  `email` varchar(45) NOT NULL default '',
  `idioma` varchar(10) default 'Español',
  `tmp_pwd` varchar(45) default NULL COMMENT 'Este es el pwd que se genera automaticamente cuando se solicita recuperar un pwd perdido',
  `tiempo_tmp_pwd` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP COMMENT 'La fecha en que se genero el tmp_pwd para que caduque',
  `otros_gustos` text COMMENT 'Por si el usuario quiere decir algo mas...',
  `dispositivo` varchar(15) NOT NULL default 'Portatil' COMMENT 'Enlaza con la tabla dispositivos',
  `color` int(10) unsigned NOT NULL default '1' COMMENT 'Color del dispositivo',
  `resolucion` int(10) unsigned NOT NULL default '1' COMMENT 'Resolucion del dispositivo',
  `vel_conexion` int(11) NOT NULL default '0' COMMENT 'Velocidad de acceso a internet si tiene.',
  `vel_subida` int(11) NOT NULL default '0' COMMENT 'Velocidad de subida de datos a internet',
  `IP` varchar(15) NOT NULL default '' COMMENT 'La IP con la que esta conectado ahora.',
  `hora_conexion` timestamp NOT NULL default '0000-00-00 00:00:00' COMMENT 'La fecha en que se ha conectado la ultima vez.',
  `admin` int(1) NOT NULL default '0' COMMENT 'Indica si el usuario tiene propiedades de administrador.',
  `fecha_fin_conexion` timestamp NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`nick`),
  KEY `FK_usuarios_idiomas` (`idioma`),
  KEY `FK_usuarios_dispositivos` (`dispositivo`),
  KEY `FK_usuarios_color` (`color`),
  KEY `FK_usuarios_resolucion` (`resolucion`),
  CONSTRAINT `FK_usuarios_color` FOREIGN KEY (`color`) REFERENCES `color_dispositivo` (`id`),
  CONSTRAINT `FK_usuarios_dispositivos` FOREIGN KEY (`dispositivo`) REFERENCES `dispositivos` (`tipo`),
  CONSTRAINT `FK_usuarios_resolucion` FOREIGN KEY (`resolucion`) REFERENCES `resolucion` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Tabla que contiene los usuarios dados de alta en la base de ';

--
-- Dumping data for table `usuarios`
--


/*!40000 ALTER TABLE `usuarios` DISABLE KEYS */;
LOCK TABLES `usuarios` WRITE;
INSERT INTO `usuarios` VALUES ('root','4574fbe2d1459cf070b6e4bb8c20b203',10,'Administrador','TocToc','España','admin@localhost.com','Español',NULL,'2006-01-13 12:19:12','','Portatil',1,1,2048,2048,'','0000-00-00 00:00:00',2,'0000-00-00 00:00:00');
UNLOCK TABLES;
/*!40000 ALTER TABLE `usuarios` ENABLE KEYS */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

