#!/bin/sh

####################### LICENCIA #######################


#This Captive Portal is designed by Jorge Hortelano Otero.
#jorgehortelano@gmail.com
#Copyright (C) 2006 Jorge Hortelano Otero.
#C/Botanico 12, 1. Valencia CP:46008 (Spain).
#
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.




#######################  VARIABLES  #####################

#Parte de la direccion IP que indica la red en la que esta el dispositivo Wifi.
PWLAN=$1

#Numero de IP del equipo que contiene la pagina TocToc.
TOCTOC=$2

#Rango de los clientes DHCP
DHCPmin=$3
DHCPmax=$4

#Archivo que contiene los logs de acceso de usuarios al sistema.
LOG=$5

#Tiempo en el que el servidor revisa si existen clientes.
TIEMPO=$6

#Carpeta en donde estan todos los documentos php.
DIR_PHP=$7

#Carpeta en donde se guardan la informacion del cliente.
DIR_CLIENTES=$8

#Puertos aceptados por el servidor.
PUERTOS_ACEPTADOS=$9




#Comprueba eternamente cuando un cliente se da de baja

while (true) do

	#A cada cliente se le mira el numero que indica cuando accedio por ultima vez.
	#numero == 3 -> Acaba de acceder.
	#numero == 2 -> No ha accedido, se le da otra oportunidad.
	#numero == 1 -> No ha accedido, se desconecta.
	#numero == 0 -> El cliente no esta.
	
	
	for ((i = $DHCPmin; i <= $DHCPmax; i++)) 
	do

		numero=$(head -1 $DIR_CLIENTES/$PWLAN.$i.txt);
		fecha=$(date +%d" "%m" "%Y" "%T);
		case $numero in
			"3")
				#El cliente acaba de estar, bajamos en uno el grado.
				echo 2 >$DIR_CLIENTES/$PWLAN.$i.txt;
				;;
				
			"2") 
				#El cliente no ha respondido, segunda oportunidad.
				echo 1 >$DIR_CLIENTES/$PWLAN.$i.txt;
				;;
				
			"1")
				#El cliente ya no esta, se desconecta de internet.
				iptables -t nat -A PREROUTING -p TCP --dport ! $PUERTOS_ACEPTADOS -s $PWLAN.$i -j DNAT --to-destination $PWLAN.$TOCTOC;
				echo 0 >$DIR_CLIENTES/$PWLAN.$i.txt;
				
				#Se libera su IP de la base de datos.
				php $DIR_PHP/desconecta_usuario_log.php $PWLAN.$i >/dev/null;
				;;
				
			*)
				;;
				
		esac
	
	done
		
	sleep $TIEMPO;
done